> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a page

> Get a single page with its blocks, by slug or id.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json get /orgs/{org_id}/pages/{page_ref}
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
paths:
  /orgs/{org_id}/pages/{page_ref}:
    get:
      tags:
        - Orgs Pages
      summary: Get a page
      description: Get a single page with its blocks, by slug or id.
      parameters:
        - schema:
            type: string
          required: true
          description: Org ID
          name: org_id
          in: path
        - schema:
            type: string
          required: true
          description: Page slug or encoded page id
          name: page_ref
          in: path
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PageWithBlocksSchema'
components:
  schemas:
    PageWithBlocksSchema:
      allOf:
        - $ref: '#/components/schemas/PageSchema'
        - type: object
          properties:
            blocks:
              type: array
              items:
                $ref: '#/components/schemas/PageBlockSchema'
          required:
            - blocks
    PageSchema:
      type: object
      properties:
        id:
          type: string
          example: page_5Fb7…
        slug:
          $ref: '#/components/schemas/PageSlugSchema'
        title:
          type:
            - string
            - 'null'
          minLength: 1
          maxLength: 255
          description: Page title.
          example: Store overview
        icon:
          anyOf:
            - $ref: '#/components/schemas/PickerIconEmojiSchema'
            - type: string
              maxLength: 64
              pattern: ^[a-zA-Z0-9_-]+$
              description: >-
                The name of a curated icon a user can pick for a table, view,
                field, or other entity
              oneOf:
                - $ref: '#/components/schemas/PickerIconNameSchema'
            - type: 'null'
        color:
          allOf:
            - $ref: '#/components/schemas/ColorNameSchema'
            - type:
                - string
                - 'null'
        parent_id:
          type:
            - string
            - 'null'
          description: Parent page id. Reserved for nesting; unused by the UI.
        position:
          type: integer
          description: Sidebar-zone order.
        show_in_sidebar:
          type: boolean
        archived:
          type: boolean
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - slug
        - title
        - icon
        - color
        - parent_id
        - position
        - show_in_sidebar
        - archived
        - created_at
        - updated_at
    PageBlockSchema:
      type: object
      properties:
        id:
          type: string
          example: block_5Fb7…
        page_id:
          type: string
          example: page_5Fb7…
        type:
          $ref: '#/components/schemas/PageBlockTypeSchema'
        config:
          $ref: '#/components/schemas/PageBlockConfigSchema'
        table_id:
          type:
            - string
            - 'null'
          description: Source table for data blocks. Null when the table was deleted.
        view_id:
          type:
            - string
            - 'null'
          description: Embedded view for table blocks. Null when the view was deleted.
        position:
          type: string
          description: Fractional order within the page.
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - page_id
        - type
        - config
        - table_id
        - view_id
        - position
        - created_at
        - updated_at
    PageSlugSchema:
      type: string
      minLength: 1
      maxLength: 64
      pattern: ^[a-z][a-z0-9-]{0,63}$
      description: Friendly URL segment, unique per org.
      example: store-overview
    PickerIconEmojiSchema:
      type: string
      format: emoji
      description: >-
        The emoji of a curated icon a user can pick for a table, view, field, or
        other entity
    PickerIconNameSchema:
      type: string
      enum:
        - TableCellsIcon
        - DatabaseIcon
        - DocumentTextIcon
        - DocumentChartBarIcon
        - ClipboardDocumentListIcon
        - ClipboardDocumentCheckIcon
        - FolderIcon
        - ArchiveBoxIcon
        - InboxIcon
        - BookOpenIcon
        - BookmarkIcon
        - NewspaperIcon
        - RectangleStackIcon
        - PencilSquareIcon
        - UserIcon
        - UsersIcon
        - UserGroupIcon
        - UserPlusIcon
        - IdentificationIcon
        - FaceSmileIcon
        - HandThumbUpIcon
        - HeartIcon
        - StarIcon
        - CheckBadgeIcon
        - TrophyIcon
        - CrownIcon
        - ChatBubbleLeftIcon
        - ChatBubbleLeftRightIcon
        - EnvelopeIcon
        - EnvelopeOpenIcon
        - PhoneIcon
        - DevicePhoneMobileIcon
        - MegaphoneIcon
        - BellIcon
        - PaperAirplaneIcon
        - AtSymbolIcon
        - RssIcon
        - LifebuoyIcon
        - ShoppingCartIcon
        - ShoppingBagIcon
        - BuildingStorefrontIcon
        - CreditCardIcon
        - BanknotesIcon
        - CurrencyDollarIcon
        - CurrencyEuroIcon
        - ReceiptPercentIcon
        - WalletIcon
        - CoinsIcon
        - GiftIcon
        - TagIcon
        - TicketIcon
        - ScaleIcon
        - TruckIcon
        - CubeIcon
        - CalendarIcon
        - CalendarDaysIcon
        - CalendarDateRangeIcon
        - ClockIcon
        - FlagIcon
        - CheckCircleIcon
        - ListBulletIcon
        - QueueListIcon
        - FunnelIcon
        - ChartBarIcon
        - ChartPieIcon
        - PresentationChartLineIcon
        - ArrowTrendingUpIcon
        - BriefcaseIcon
        - WrenchScrewdriverIcon
        - Cog6ToothIcon
        - KeyIcon
        - LockClosedIcon
        - ShieldCheckIcon
        - BoltIcon
        - LightBulbIcon
        - BeakerIcon
        - BugAntIcon
        - CpuChipIcon
        - CodeBracketIcon
        - CommandLineIcon
        - ServerIcon
        - LinkIcon
        - HomeIcon
        - HomeModernIcon
        - BuildingOfficeIcon
        - BuildingOffice2Icon
        - BuildingLibraryIcon
        - MapPinIcon
        - MapIcon
        - GlobeAltIcon
        - GlobeAmericasIcon
        - RocketLaunchIcon
        - PlaneIcon
        - CarIcon
        - SunIcon
        - MoonIcon
        - FireIcon
        - SparklesIcon
        - CakeIcon
        - AcademicCapIcon
        - ScissorsIcon
        - SwatchIcon
        - PaintBrushIcon
        - CoffeeIcon
        - UtensilsIcon
        - LeafIcon
        - DumbbellIcon
        - HeartPulseIcon
        - PawPrintIcon
        - StethoscopeIcon
        - CameraIcon
        - PhotoIcon
        - FilmIcon
        - VideoCameraIcon
        - MicrophoneIcon
        - MusicalNoteIcon
        - SpeakerWaveIcon
        - PlayCircleIcon
        - TvIcon
        - RadioIcon
        - PuzzlePieceIcon
        - GamepadIcon
      description: >-
        The name of a curated icon a user can pick for a table, view, field, or
        other entity
    ColorNameSchema:
      type: string
      enum:
        - red
        - orange
        - amber
        - yellow
        - lime
        - green
        - teal
        - cyan
        - sky
        - blue
        - indigo
        - violet
        - purple
        - fuchsia
        - pink
        - rose
        - neutral
      description: The name of the color to use in the UI
    PageBlockTypeSchema:
      type: string
      enum:
        - heading
        - text
        - stat
        - chart
        - table
        - pages
    PageBlockConfigSchema:
      type: object
      properties:
        shared:
          $ref: '#/components/schemas/PageBlockSharedConfigSchema'
        heading:
          $ref: '#/components/schemas/PageBlockHeadingConfigSchema'
        text:
          $ref: '#/components/schemas/PageBlockTextConfigSchema'
        stat:
          $ref: '#/components/schemas/PageBlockStatConfigSchema'
        chart:
          $ref: '#/components/schemas/PageBlockChartConfigSchema'
        table:
          $ref: '#/components/schemas/PageBlockTableConfigSchema'
        pages:
          $ref: '#/components/schemas/PageBlockPagesConfigSchema'
    PageBlockSharedConfigSchema:
      type: object
      properties:
        size:
          $ref: '#/components/schemas/PageBlockSizeSchema'
    PageBlockHeadingConfigSchema:
      type: object
      properties:
        text:
          type: string
          maxLength: 255
        level:
          anyOf:
            - type: number
              enum:
                - 1
            - type: number
              enum:
                - 2
    PageBlockTextConfigSchema:
      type: object
      properties:
        markdown:
          type: string
          maxLength: 30000
    PageBlockStatConfigSchema:
      type: object
      properties:
        label:
          type: string
          maxLength: 128
        metric:
          $ref: '#/components/schemas/TableAggregateMetricSchema'
        window:
          $ref: '#/components/schemas/TableAggregateWindowSchema'
        filter:
          $ref: '#/components/schemas/FilterSchema'
        format:
          $ref: '#/components/schemas/PageBlockStatFormatSchema'
        compare:
          type: string
          enum:
            - previous_period
    PageBlockChartConfigSchema:
      type: object
      properties:
        label:
          type: string
          maxLength: 128
        kind:
          $ref: '#/components/schemas/PageBlockChartKindSchema'
        metric:
          $ref: '#/components/schemas/TableAggregateMetricSchema'
        group_by:
          $ref: '#/components/schemas/TableAggregateGroupBySchema'
        window:
          $ref: '#/components/schemas/TableAggregateWindowSchema'
        filter:
          $ref: '#/components/schemas/FilterSchema'
        limit:
          type: integer
          minimum: 1
          maximum: 50
    PageBlockTableConfigSchema:
      type: object
      properties:
        limit:
          type: integer
          minimum: 1
          maximum: 50
    PageBlockPagesConfigSchema:
      type: object
      properties:
        page_ids:
          type: array
          items:
            type: string
          maxItems: 50
        style:
          $ref: '#/components/schemas/PageBlockPagesStyleSchema'
    PageBlockSizeSchema:
      type: string
      enum:
        - sm
        - md
        - lg
        - full
    TableAggregateMetricSchema:
      type: object
      properties:
        aggregation:
          $ref: '#/components/schemas/TableAggregationSchema'
        field_key:
          type: string
          minLength: 1
          maxLength: 64
      required:
        - aggregation
    TableAggregateWindowSchema:
      type: object
      properties:
        field_key:
          type: string
          minLength: 1
          maxLength: 64
        last:
          $ref: '#/components/schemas/TableAggregateWindowLastSchema'
      required:
        - field_key
        - last
    FilterSchema:
      anyOf:
        - $ref: '#/components/schemas/FilterRuleSchema'
        - $ref: '#/components/schemas/FilterGroupSchema'
    PageBlockStatFormatSchema:
      type: string
      enum:
        - number
        - currency
        - percent
    PageBlockChartKindSchema:
      type: string
      enum:
        - bar
        - line
        - area
        - donut
    TableAggregateGroupBySchema:
      type: object
      properties:
        field_key:
          type: string
          minLength: 1
          maxLength: 64
        bucket:
          $ref: '#/components/schemas/TableAggregateDateBucketSchema'
      required:
        - field_key
    PageBlockPagesStyleSchema:
      type: string
      enum:
        - cards
        - list
    TableAggregationSchema:
      type: string
      enum:
        - count
        - sum
        - avg
        - min
        - max
    TableAggregateWindowLastSchema:
      type: string
      enum:
        - 7d
        - 30d
        - 90d
        - 365d
    FilterRuleSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - rule
        key:
          type: string
          minLength: 1
          maxLength: 64
          pattern: ^[a-z][a-z0-9_]{0,63}$
        operator:
          $ref: '#/components/schemas/FilterOperatorSchema'
        value: {}
      required:
        - type
        - key
        - operator
    FilterGroupSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - group
        combinator:
          $ref: '#/components/schemas/FilterCombinatorSchema'
        children:
          type: array
          items:
            $ref: '#/components/schemas/FilterSchema'
      required:
        - type
        - combinator
        - children
    TableAggregateDateBucketSchema:
      type: string
      enum:
        - day
        - week
        - month
    FilterOperatorSchema:
      type: string
      enum:
        - contains
        - not_contains
        - eq
        - neq
        - gt
        - lt
        - gte
        - lte
        - before
        - after
        - on_or_before
        - on_or_after
        - in
        - not_in
        - is_empty
        - is_not_empty
    FilterCombinatorSchema:
      type: string
      enum:
        - and
        - or
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````